import { IsExternal, Plugin, WatchOptions as RollupWatchOptions } from 'rollup';
import { Nullable } from './helper-types';
import { BrowserBuildFormat, BundlibRollupBrowseOutputOptions, BundlibRollupModuleOutputOptions, BundlibRollupOptions, ModuleBuildFormat, RollupSourcemap } from './types';
export declare function createConfig<OutputOptions extends BundlibRollupModuleOutputOptions>(input: string, output: OutputOptions, external: IsExternal, plugins: Plugin[], chokidar: boolean | RollupWatchOptions): BundlibRollupOptions<OutputOptions>;
export declare function createModuleConfig(input: string, format: ModuleBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, external: IsExternal, plugins: Plugin[], chokidar: boolean | RollupWatchOptions): BundlibRollupOptions<BundlibRollupModuleOutputOptions>;
export declare function createBrowserConfig(input: string, format: BrowserBuildFormat, file: string, sourcemap: RollupSourcemap, esModule: boolean, interop: boolean, isExternal: IsExternal, plugins: Plugin[], chokidar: boolean | RollupWatchOptions, name: string, extend: boolean, globals: Nullable<Record<string, string>>, id: Nullable<string>): BundlibRollupOptions<BundlibRollupBrowseOutputOptions>;
