export declare function isNull(value: unknown): value is (null | undefined);
export declare function isObject<T = unknown>(value: unknown): value is (Record<string | symbol, T> | T[]);
export declare function isString(value: unknown): value is string;
export declare function isBool(value: unknown): value is boolean;
export declare const isArray: <T = unknown>(value: unknown) => value is T[];
export declare function isDictionary<T = any>(value: unknown): value is Record<string, T>;
export declare function isStringOrNull(value: unknown): value is (string | null | undefined);
export declare function isDictionaryOrNull<T = unknown>(value: unknown): value is (Record<string | symbol, T> | null | undefined);
